package PureMessage::Manager::Response::Services::Postfix;
use strict;
use PureMessage::Manager::Request;
use PureMessage::Manager::Response::Services;
use PureMessage::Manager::Config qw(%config %web_config);
use File::stat;
use Socket;
use PureMessage::Version qw($PREFIX);
use ActiveState::Unix::ProcInfo qw(proc_info);

our  @ISA = ('PureMessage::Manager::Response::Services');

sub new {
    my $proto = shift;
    my $self = $proto->SUPER::new(@_);
    my @buttons = ({ type=>'text', text=>'View Status', href=>'index.cgi'},
                   { type=>'text', text=>'Configure Postfix', href=>'postfix.cgi'},
                  );
    $self->add_taskmenu({ title => 'Postfix Service',
                          buttons => [ \@buttons],
                        });
    return $self;
}


1;
